/*
 * AboutVS.java
 *
 * Created on January 21, 2003, 17:07 PM
 *
 * @author  Richard Kingston
 * @version 0.1
 */
package uk.ac.leeds.ccg.ppgis;

import java.awt.*;
import java.awt.event.*;
 
/*
 * This class displays a pop-up 'About' window 
 */

public class AboutVS extends Dialog implements ActionListener {
    AboutVS(Frame parent) {
        super(parent, "About VS - \u00a9 University of Leeds, 2003", true);
        super.setBackground(Color.lightGray);
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                dispose();
            }
        });
        
        TextArea text = new TextArea("The Virtual Slaithwaite system is an " +
        "on-line public participatory Geographical Information System " +
        "(PPGIS) which allows you to comment on the future development of " +
        "the village.  Although the public consultation has finished " +
        "(it took place in June 1998) the system is still on-line as an " +
        "example of how the public can become more involved in local " +
        "government decision making through the use of new technology.\n" +
        "\n" +
        "The system has been designed and developed by members of The Centre " +
        "for Computational Geography at The University of Leeds in the UK.\n" +
        "\n" +
        "For further details contact Richard Kingston - " + 
        "richard@geog.leeds.ac.uk",16, 40, TextArea.SCROLLBARS_NONE);
        text.setEditable(false);
        
        ok = new Button("OK");
        ok.addActionListener(this);
        ok.setFont(new Font("Arial", Font.BOLD, 12));
        ok.setForeground(new Color(57,24,198));
        
        // Set-up a GridBagLayout for the frame components
        GridBagLayout gbl = new GridBagLayout();
        setLayout(gbl);
        GridBagConstraints cons = new GridBagConstraints();
        cons.insets = new Insets(20, 10, 10, 10);
        
        cons.gridx = 0;
        cons.gridy = 0;
        cons.gridwidth = 3;
        cons.gridheight = 1;
        cons.fill = GridBagConstraints.HORIZONTAL;
        gbl.setConstraints(text, cons);
        add(text);
        
        cons.gridx = 2;
        cons.gridy = 2;
        cons.gridwidth = 1;
        cons.gridheight = 1;
        cons.fill = GridBagConstraints.CENTER;
        gbl.setConstraints(ok, cons);
        add(ok);
        
        pack();
    }
    // Deal with ok button action
    public void actionPerformed(ActionEvent e) {
        Object source = e.getSource();
        if (e.getSource() == ok) {
            dispose();
            return;
        }
    }
    private Button ok;
}